import { OnDestroy, OnInit } from '@angular/core';
import { TransactionTypeCategory } from '../../../enum/transaction-type-category.enum';
import { TransactionRefTransaction } from '@colijnit/transactionapi/build/model/transaction-line-info.bo';
import { StatusBarCfgNames } from '../../../interface/status-bar-cfg-names.interface';
import { TransactionLineBaseComponent } from '../../core/base/transaction-line-base.component';
export declare class TransactionCardPurchaseOverviewComponent extends TransactionLineBaseComponent implements OnInit, OnDestroy {
    readonly transactionTypeCategory: typeof TransactionTypeCategory;
    showClass(): boolean;
    statusBarConfigNames: StatusBarCfgNames;
    showCheckboxForLine: boolean;
    private _subs;
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected transactionLineSet(): void;
    handleRelationNavigation(relationId: number): void;
    handleTransactionNavigation(ref: TransactionRefTransaction): void;
    handleArticleNavigation(event: MouseEvent): void;
}
